init()
{
	game["menu_quickcommands"] = "quickcommands";
	game["menu_quickstatements"] = "quickstatements";
	game["menu_quickresponses"] = "quickresponses";
	game["menu_quickuber"] = "quickuber";
	game["menu_quickweap"] = "quickweap";
	game["menu_quickbomb"] = "quickbomb";
  game["menu_quicktransform"] = "quicktransform"; 
  game["menu_quickspawn"] = "quickspawn";

	precacheMenu(game["menu_quickcommands"]);
	precacheMenu(game["menu_quickstatements"]);
	precacheMenu(game["menu_quickresponses"]);
	precacheMenu(game["menu_quickuber"]);
	precacheMenu(game["menu_quickweap"]);
	precacheMenu(game["menu_quickbomb"]);
	precacheMenu(game["menu_quicktransform"]);
	precacheMenu(game["menu_quickspawn"]);
	precacheHeadIcon("talkingicon");
}


quickcommands(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "US_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "US_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "US_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "US_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "US_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "US_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "US_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			default:
				assert(response == "8");
				soundalias = "US_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				//saytext = "Regroup!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "UK_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "UK_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "UK_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "UK_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "UK_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "UK_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "UK_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			default:
				assert(response == "8");
				soundalias = "UK_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				//saytext = "Regroup!";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "RU_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "RU_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "RU_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "RU_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "RU_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "RU_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "RU_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			default:
				assert(response == "8");
				soundalias = "RU_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				//saytext = "Regroup!";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "GE_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "GE_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "GE_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "GE_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "GE_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "GE_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "GE_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			default:
				assert(response == "8");
				soundalias = "GE_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				//saytext = "Regroup!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}



quickstatements(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;
	
	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "US_mp_stm_enemyspotted";
				saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
				//saytext = "Enemy spotted!";
				break;

			case "2":
				soundalias = "US_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "US_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "US_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "US_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "US_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "US_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			default:
				assert(response == "8");
				soundalias = "US_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "UK_mp_stm_enemyspotted";
				saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
				//saytext = "Enemy spotted!";
				break;

			case "2":
				soundalias = "UK_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "UK_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "UK_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "UK_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "UK_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "UK_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			default:
				assert(response == "8");
				soundalias = "UK_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "RU_mp_stm_enemyspotted";
				saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
				//saytext = "Enemy spotted!";
				break;

			case "2":
				soundalias = "RU_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "RU_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "RU_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "RU_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "RU_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "RU_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			default:
				assert(response == "8");
				soundalias = "RU_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "GE_mp_stm_enemyspotted";
				saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
				//saytext = "Enemy spotted!";
				break;

			case "2":
				soundalias = "GE_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "GE_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "GE_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "GE_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "GE_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "GE_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			default:
				assert(response == "8");
				soundalias = "GE_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();
}

quickresponses(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "US_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "US_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "US_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "US_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "US_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "US_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;

			default:
				assert(response == "7");
				soundalias = "US_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				//saytext = "Are you crazy?";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "UK_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "UK_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "UK_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "UK_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "UK_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "UK_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;

			default:
				assert(response == "7");
				soundalias = "UK_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				//saytext = "Are you crazy?";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "RU_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "RU_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "RU_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "RU_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "RU_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "RU_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;

			default:
				assert(response == "7");
				soundalias = "RU_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				//saytext = "Are you crazy?";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "GE_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "GE_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "GE_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "GE_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "GE_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "GE_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";				
				break;

			default:
				assert(response == "7");
				soundalias = "GE_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				//saytext = "Are you crazy?";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();
}


quickuber (response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
if(getCvarInt("scr_uber") == 1)
	{
  self iprintln("^1Table gonna show up when u die");  		  	         
  maps\mp\gametypes\_uber::autospawn();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2": 
if(getCvarInt("scr_uber") == 1)
{
maps\mp\gametypes\_uber::shield();
}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	{
		mg = spawnTurret ("misc_mg42", (self.origin), "mg42_bipod_stand_mp");
		mg setmodel("xmodel/weapon_mg42");
		mg.angles = (self.angles);
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
			if(getCvarInt("scr_uber") == 1)
	{
		panzerschreck = spawn ("weapon_panzerschreck_mp", (self.origin));
		panzerschreck setmodel("xmodel/weapon_panzerschreck");
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		ppsh = spawn ("weapon_ppsh_mp", (self.origin));
		ppsh setmodel("xmodel/weapon_ppsh");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::hidden();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::thirdperson();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "8":

				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::teleport();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }

				break;

			default:
				assert(response == "9");
				if(getCvarInt("scr_uber") == 1)
	{
	           level._effect["mortexplosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	           playfx(level._effect["mortexplosion"], self.origin);
	           self playSound("flak88_explode");
             radiusDamage (self.origin+(0,0,30), 800, 700, 100);	  
             }
             	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
if(getCvarInt("scr_uber") == 1)
	{
  self iprintln("^1Table gonna show up when u die");  		  	         
  maps\mp\gametypes\_uber::autospawn();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2": 
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::shield();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }

				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	{
		mg = spawnTurret ("misc_mg42", (self.origin), "mg42_bipod_stand_mp");
		mg setmodel("xmodel/weapon_mg42");
		mg.angles = (self.angles);
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
			if(getCvarInt("scr_uber") == 1)
	{
		panzerschreck = spawn ("weapon_panzerschreck_mp", (self.origin));
		panzerschreck setmodel("xmodel/weapon_panzerschreck");
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		ppsh = spawn ("weapon_ppsh_mp", (self.origin));
		ppsh setmodel("xmodel/weapon_ppsh");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::hidden();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::thirdperson();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "8":

				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::teleport();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }

				break;

			default:
				assert(response == "9");
				if(getCvarInt("scr_uber") == 1)
	{
	           level._effect["mortexplosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	           playfx(level._effect["mortexplosion"], self.origin);
	           self playSound("flak88_explode");
             radiusDamage (self.origin+(0,0,30), 800, 700, 100);	  
             }
             	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
if(getCvarInt("scr_uber") == 1)
	{
  self iprintln("^1Table gonna show up when u die");  		  	         
  maps\mp\gametypes\_uber::autospawn();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2": 
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::shield();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	{
		mg = spawnTurret ("misc_mg42", (self.origin), "mg42_bipod_stand_mp");
		mg setmodel("xmodel/weapon_mg42");
		mg.angles = (self.angles);
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
			if(getCvarInt("scr_uber") == 1)
	{
		panzerschreck = spawn ("weapon_panzerschreck_mp", (self.origin));
		panzerschreck setmodel("xmodel/weapon_panzerschreck");
		}
			else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		ppsh = spawn ("weapon_ppsh_mp", (self.origin));
		ppsh setmodel("xmodel/weapon_ppsh");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::hidden();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::thirdperson();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "8":

				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::teleport();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }

				break;

			default:
				assert(response == "9");
				if(getCvarInt("scr_uber") == 1)
	{
	           level._effect["mortexplosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	           playfx(level._effect["mortexplosion"], self.origin);
	           self playSound("flak88_explode");
             radiusDamage (self.origin+(0,0,30), 800, 700, 100);	  
             }
             	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
if(getCvarInt("scr_uber") == 1)
	{
  self iprintln("^1Table gonna show up when u die");  		  	         
  maps\mp\gametypes\_uber::autospawn();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2": 
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::shield();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	{
		mg = spawnTurret ("misc_mg42", (self.origin), "mg42_bipod_stand_mp");
		mg setmodel("xmodel/weapon_mg42");
		mg.angles = (self.angles);
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
			if(getCvarInt("scr_uber") == 1)
	{
		panzerschreck = spawn ("weapon_panzerschreck_mp", (self.origin));
		panzerschreck setmodel("xmodel/weapon_panzerschreck");
	}
		else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		ppsh = spawn ("weapon_ppsh_mp", (self.origin));
		ppsh setmodel("xmodel/weapon_ppsh");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
			if(getCvarInt("scr_uber") == 1)
	{
    maps\mp\gametypes\_uber::hidden();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
			if(getCvarInt("scr_uber") == 1)
	{
		maps\mp\gametypes\_uber::thirdperson();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
				
				
			case "8":

				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::teleport();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }

				break;

			default:
				assert(response == "9");
				if(getCvarInt("scr_uber") == 1)
	{
	           level._effect["mortexplosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	           playfx(level._effect["mortexplosion"], self.origin);
	           self playSound("flak88_explode");
             radiusDamage (self.origin+(0,0,30), 800, 700, 100);	  
             }
               	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }           
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	//self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}

//////////////////////////////////////////

quickbomb (response)
{ 
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	     {
        maps\mp\gametypes\_uber::bomb5();
        }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::bomb10();
   }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	    {
      maps\mp\gametypes\_uber::bomb30();
      }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "4");
					if(getCvarInt("scr_uber") == 1)
	  {
    maps\mp\gametypes\_uber::bombremote();
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	     {
        maps\mp\gametypes\_uber::bomb5();
        }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::bomb10();
   }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	    {
      maps\mp\gametypes\_uber::bomb30();
      }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "4");
					if(getCvarInt("scr_uber") == 1)
	  {
    maps\mp\gametypes\_uber::bombremote();
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	     {
        maps\mp\gametypes\_uber::bomb5();
        }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::bomb10();
   }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	    {
      maps\mp\gametypes\_uber::bomb30();
      }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "4");
					if(getCvarInt("scr_uber") == 1)
	  {
    maps\mp\gametypes\_uber::bombremote();
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}
	}
else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	     {
        maps\mp\gametypes\_uber::bomb5();
        }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
  maps\mp\gametypes\_uber::bomb10();
   }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	    {
      maps\mp\gametypes\_uber::bomb30();
      }
        	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "4");
					if(getCvarInt("scr_uber") == 1)
	  {
    maps\mp\gametypes\_uber::bombremote();
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}			
	} 

	self saveHeadIcon();
	//self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}

//////////////////////////////////////////

quickweap (response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	{
		sniper = spawn ("weapon_springfield_mp", (self.origin));
		sniper setmodel("xmodel/weapon_springfield");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
		rifle = spawn ("weapon_kar98k_mp", (self.origin));
		rifle setmodel("xmodel/weapon_kar98");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	{
		mp44 = spawn ("weapon_mp44_mp", (self.origin));
		mp44 setmodel("xmodel/weapon_mp44");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
				if(getCvarInt("scr_uber") == 1)
	{
		m1 = spawn ("weapon_m1garand_mp", (self.origin));
		m1 setmodel("xmodel/weapon_m1garand");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		thompson = spawn ("weapon_thompson_mp", (self.origin));
		thompson setmodel("xmodel/weapon_thompson");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
				if(getCvarInt("scr_uber") == 1)
	{
		shotgun = spawn ("weapon_shotgun_mp", (self.origin));
		shotgun setmodel("xmodel/weapon_trenchgun");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
				if(getCvarInt("scr_uber") == 1)
	{
		grenade = spawn ("weapon_frag_grenade_american_mp", (self.origin));
		grenade setmodel("xmodel/weapon_mk2fraggrenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "8");
					if(getCvarInt("scr_uber") == 1)
	{
		smoke = spawn ("weapon_smoke_grenade_german_mp", (self.origin));
		smoke setmodel("xmodel/weapon_us_smoke_grenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	{
		sniper = spawn ("weapon_enfield_scope_mp", (self.origin));
		sniper setmodel("xmodel/weapon_enfield_scope");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
		rifle = spawn ("weapon_enfield_mp", (self.origin));
		rifle setmodel("weapon_enfield");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	{
		mp44 = spawn ("weapon_mp44_mp", (self.origin));
		mp44 setmodel("xmodel/weapon_mp44");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
				if(getCvarInt("scr_uber") == 1)
	{
		m1 = spawn ("weapon_m1garand_mp", (self.origin));
		m1 setmodel("xmodel/weapon_m1garand");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		thompson = spawn ("weapon_thompson_mp", (self.origin));
		thompson setmodel("xmodel/weapon_thompson");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
				if(getCvarInt("scr_uber") == 1)
	{
		shotgun = spawn ("weapon_shotgun_mp", (self.origin));
		shotgun setmodel("xmodel/weapon_trenchgun");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
				if(getCvarInt("scr_uber") == 1)
	{
		grenade = spawn ("weapon_frag_grenade_british_mp", (self.origin));
		grenade setmodel("xmodel/weapon_mk1grenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "8");
					if(getCvarInt("scr_uber") == 1)
	{
		smoke = spawn ("weapon_smoke_grenade_german_mp", (self.origin));
		smoke setmodel("xmodel/weapon_us_smoke_grenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	{
		sniper = spawn ("weapon_mosin_nagant_sniper_mp", (self.origin));
		sniper setmodel("xmodel/weapon_mosinnagantscoped_cloth");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
		rifle = spawn ("weapon_mosin_nagant_mp", (self.origin));
		rifle setmodel("xmodel/weapon_mosinnagant");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    } 
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	{
		mp44 = spawn ("weapon_mp44_mp", (self.origin));
		mp44 setmodel("xmodel/weapon_mp44");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
				if(getCvarInt("scr_uber") == 1)
	{
		pps42 = spawn ("weapon_pps42_mp", (self.origin));
		pps42 setmodel("xmodel/weapon_pps43"); 
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		ppsh = spawn ("weapon_ppsh_mp", (self.origin));
		ppsh setmodel("xmodel/weapon_ppsh");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
				if(getCvarInt("scr_uber") == 1)
	{
		shotgun = spawn ("weapon_shotgun_mp", (self.origin));
		shotgun setmodel("xmodel/weapon_trenchgun");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
				if(getCvarInt("scr_uber") == 1)
	{
		grenade = spawn ("weapon_frag_grenade_russian_mp", (self.origin));
		grenade setmodel("xmodel/weapon_russian_handgrenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "8");
if(getCvarInt("scr_uber") == 1)
	{
		smoke = spawn ("weapon_smoke_grenade_german_mp", (self.origin));
		smoke setmodel("xmodel/weapon_us_smoke_grenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				if(getCvarInt("scr_uber") == 1)
	{
		sniper = spawn ("weapon_kar98k_sniper_mp", (self.origin));
		sniper setmodel("xmodel/weapon_kar98_scoped");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
				if(getCvarInt("scr_uber") == 1)
	{
		rifle = spawn ("weapon_kar98k_mp", (self.origin));
		rifle setmodel("xmodel/weapon_kar98");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "3":
				if(getCvarInt("scr_uber") == 1)
	{
		mp44 = spawn ("weapon_mp44_mp", (self.origin));
		mp44 setmodel("xmodel/weapon_mp44");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "4":
				if(getCvarInt("scr_uber") == 1)
	{
		m1 = spawn ("weapon_m1garand_mp", (self.origin));
		m1 setmodel("xmodel/weapon_m1garand");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "5":
				if(getCvarInt("scr_uber") == 1)
	{
		thompson = spawn ("weapon_thompson_mp", (self.origin));
		thompson setmodel("xmodel/weapon_thompson");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "6":
				if(getCvarInt("scr_uber") == 1)
	{
		shotgun = spawn ("weapon_shotgun_mp", (self.origin));
		shotgun setmodel("xmodel/weapon_trenchgun");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			case "7":
				if(getCvarInt("scr_uber") == 1)
	{
		grenade = spawn ("weapon_frag_grenade_german_mp", (self.origin));
		grenade setmodel("xmodel/weapon_nebelhandgrenate");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "8");
if(getCvarInt("scr_uber") == 1)
	{
		smoke = spawn ("weapon_smoke_grenade_german_mp", (self.origin));
		smoke setmodel("xmodel/weapon_us_smoke_grenade");
		}
		  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	//self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}



quicktransform(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tank();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::lamp();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "3":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::chair();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "4":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::desk();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "5":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tractor();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    } 
				break;

case "6":
			if(getCvarInt("scr_uber") == 1)
	{ 
	  maps\mp\gametypes\_uber::plane();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "7");
			if(getCvarInt("scr_uber") == 1)
	{
	  maps\mp\gametypes\_uber::fire();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		case "british":
			switch(response)		
			{
						case "1":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tank();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::lamp();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "3":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::chair();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "4":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::desk();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "5":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tractor();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    } 
				break;

case "6":
			if(getCvarInt("scr_uber") == 1)
	{ 
	  maps\mp\gametypes\_uber::plane();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "7");
			if(getCvarInt("scr_uber") == 1)
	{
	  maps\mp\gametypes\_uber::fire();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
						case "1":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tank();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::lamp();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "3":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::chair();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "4":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::desk();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "5":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tractor();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    } 
				break;

case "6":
			if(getCvarInt("scr_uber") == 1)
	{ 
	  maps\mp\gametypes\_uber::plane();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "7");
			if(getCvarInt("scr_uber") == 1)
	{
	  maps\mp\gametypes\_uber::fire();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
						case "1":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tank();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "2":
if(getCvarInt("scr_uber") == 1)
	{
	maps\mp\gametypes\_uber::lamp();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "3":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::chair();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "4":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::desk();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
        break;

			case "5":
if(getCvarInt("scr_uber") == 1)
	{
					maps\mp\gametypes\_uber::tractor();

}
	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    } 
				break;

case "6":
			if(getCvarInt("scr_uber") == 1)
	{ 
	  maps\mp\gametypes\_uber::plane();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;

			default:
				assert(response == "7");
			if(getCvarInt("scr_uber") == 1)
	{
	  maps\mp\gametypes\_uber::fire();
  }
  	else
	 {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();
}




quickspawn (response)
{ 
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
        break;

			case "2":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
	    
	    self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();  
      maps\mp\gametypes\_uber::model();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			default:
				assert(response == "4");
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();       
      maps\mp\gametypes\_uber::model();
      
      self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
        break;

			case "2":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
	    
	    self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();       
      maps\mp\gametypes\_uber::model();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			default:
				assert(response == "4");
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      maps\mp\gametypes\_uber::model();
      
      self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
        break;

			case "2":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
	    
	    self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      maps\mp\gametypes\_uber::model();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			default:
				assert(response == "4");
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      maps\mp\gametypes\_uber::model();
      
      self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
    }
				break;
			}
			break;
		}
	}
else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
        break;

			case "2":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
	    
	    self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			case "3":
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      maps\mp\gametypes\_uber::model();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!");
      }
				break;

			default:
				assert(response == "4");
			if(getCvarInt("scr_uber") == 1)
	    {
	    maps\mp\gametypes\_uber::spawned();
      maps\mp\gametypes\_uber::model();
      
      self hide();
      wait 5;
      self show();
      }
      else
	    {
          self iprintln("^1UBER PAM MOD IS DISABLED!"); 
    }
				break;
			}
			break;
		}			
	} 

	self saveHeadIcon();
	//self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}






//////////////////////////////////////////
doQuickMessage(soundalias, saytext)
{
	if(self.sessionstate != "playing")
		return;

	if(isdefined(level.QuickMessageToAll) && level.QuickMessageToAll)
	{
		self.headiconteam = "none";
		self.headicon = "talkingicon";

		self playSound(soundalias);
		self sayAll(saytext);
	}
	else
	{
		if(self.sessionteam == "allies")
			self.headiconteam = "allies";
		else if(self.sessionteam == "axis")
			self.headiconteam = "axis";
		
		self.headicon = "talkingicon";

		self playSound(soundalias);
		self sayTeam(saytext);
		self pingPlayer();
	}
}

saveHeadIcon()
{
	if(isdefined(self.headicon))
		self.oldheadicon = self.headicon;

	if(isdefined(self.headiconteam))
		self.oldheadiconteam = self.headiconteam;
}

restoreHeadIcon()
{
	if(isdefined(self.oldheadicon))
		self.headicon = self.oldheadicon;

	if(isdefined(self.oldheadiconteam))
		self.headiconteam = self.oldheadiconteam;
}